

%keytime
% Program which displays the time, and time differences when a key is
% pressed.

function keytime

%Display message to command window
disp(' ');
disp(' %%%%%%%%%%%%%%%%%' )
disp('  Key press timer ' )
disp(' %%%%%%%%%%%%%%%%%' )
disp(' ')
disp(' Press return key to start .... Although note q will quit the program');

%Wait for user input to start the clock
i = input(' ','s');
if strcmp(i,'q')
    return
else
    disp(' Timer started ')
end

%Start clock
t0 = tic;

%Loop timer, checking for user input
stop = 0;
tstart = 0;
t=0;
while stop == 0
    i = input(' ','s');
    if strcmp(i,'q')       
        %Save time array to Excel if q key pressed
        finish_time = strrep( datestr(now),':','-' );
        C{1,1} = ['Time data /s finished at ',finish_time];
        C{3,1} = 'Time';
        for n=1:length(t)
            C{3+n,1} = t(n);
        end
        xlswrite( ['Timing ', finish_time],C );
        return
    end
    tstop = toc(t0);
    t = [t,tstop];
    disp([' Time elapsed is ',num2str(tstop),'s']);
    disp([' Time between key presses is ',num2str( tstop - tstart ),'s'])
    tstart = tstop;
end

%End of code




